**==radrd.spg  processed by SPAG 4.50J  at 14:50 on 30 Jun 1995
      SUBROUTINE RADRD(Icont)
      IMPLICIT NONE
C*** Start of declarations inserted by SPAG
      REAL ABIn , ABUnd , ABUnj , BIN , BINmin , BINsyz , CNC , POWer
      INTEGER i , Icont , il , ird , k , NBIn , NJ
C*** End of declarations inserted by SPAG
 
C     Read in radiation profile.
      CHARACTER*100 label
 
      INCLUDE 'rayspec.inc'
 
      COMMON /COM   / CNC(12,30) , POWer(12,220) , ABIn(MXBINS) , 
     &                BIN(MXBINS)
      COMMON /PARAMS/ NJ(12) , ABUnj(12) , ABUnd , BINmin , BINsyz , 
     &                NBIn
      IF ( Icont.EQ.0 ) RETURN
      ird = NBIn/10
      READ (3,99001) label
      DO 100 i = 1 , ird
         il = 10*i - 10
         READ (3,99002) (ABIn(il+k),k=1,10)
 100  CONTINUE
      RETURN
99001 FORMAT (a100)
99002 FORMAT (13X,10E10.2)
      END
 
